Subject: bug#25462: Out of date doc string for "`".

From: Noam Postavsky <[email-masked]>
Date: Mon, 16 Jan 2017 16:52:36 -0500

On Mon, Jan 16, 2017 at 4:30 PM, Alan Mackenzie <[email-masked]> wrote:
> Hello, Emacs.
>
> The doc string for "`" has become partial.
>
> It fails to mention that "`" has a radically different meaning when used
> in certain parts of a `pcase', and probably quite a few other similar
> macros.

I don't think that makes sense. Similarly, we don't add a mention of
`cl-loop's use of `if' in the docstring of `if', because that's not
part of the `if' special form. It's just a use of `if' as a plain
symbol.